Loading...
Searching...
No Matches
osim_card_hdl Struct Reference

`#include <sim.h>`

## Data Fields

struct llist_head | list
| member in global list of cards
struct osim_reader_hdl * | reader
| reader through which card is accessed
struct osim_card_profile * | prof
| card profile
enum osim_proto | proto
| card protocol
struct llist_head | channels
| list of channels for this card
struct llist_head | apps
| list of applications found on card
uint8_t | atr [OSIM_MAX_ATR_LEN]
| ATR (Answer To Reset) of the card.
unsigned int | atr_len

## Field Documentation

## apps

struct llist_head osim_card_hdl::apps

list of applications found on card

Referenced by osim_card_hdl_add_app(), osim_card_hdl_find_app(), and pcsc_card_open().

## atr

uint8_t osim_card_hdl::atr[OSIM_MAX_ATR_LEN]

ATR (Answer To Reset) of the card.

Referenced by pcsc_get_atr().

## atr_len

unsigned int osim_card_hdl::atr_len

Referenced by pcsc_get_atr().

## channels

struct llist_head osim_card_hdl::channels

list of channels for this card

Referenced by pcsc_card_open().

## list

struct llist_head osim_card_hdl::list

member in global list of cards

## prof

struct osim_card_profile* osim_card_hdl::prof

card profile

Referenced by osim_print_sw_buf(), and osim_sw_class().

## proto

enum osim_proto osim_card_hdl::proto

card protocol

Referenced by osim_card_open(), and osim_transceive_apdu().

## reader

struct osim_reader_hdl* osim_card_hdl::reader

reader through which card is accessed

Referenced by osim_card_close(), osim_card_reset(), pcsc_card_close(), pcsc_card_open(), pcsc_card_reset(), pcsc_get_atr(), and transceive_apdu_t0().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h